local name, addon = ...
local tostring = tostring
local format = format
addon.SendMessage = BigWigsLoader.SendMessage
local basePath = "Interface\\AddOns\\BigWigs_Voice_Vulpera\\Sounds\\"
local path = basePath .. "%s.ogg"
local pathYou = basePath .. "%sy.ogg"
local function handler(event, module, key, sound, isOnMe)
	local success = PlaySoundFile(format(isOnMe and pathYou or path, tostring(key)), "Master")
	if not success then
		addon:SendMessage("BigWigs_Sound", module, key, sound) 
	end
end

BigWigsLoader.RegisterMessage(addon, "BigWigs_Voice", handler)
BigWigsAPI.RegisterVoicePack("Vulpera by ttv/WoweePaw")
